<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{authoriseddoctors.overview}">Übersicht Weiterbildungsbefugte</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
<script type="text/javascript">
	function switchDisplay(htmlElement) {
		if (document.getElementById(htmlElement).style.display == "table-row") {
			document.getElementById(htmlElement).style.display = "none";
		} else {
			document.getElementById(htmlElement).style.display = "table-row";
		}
	}
</script>
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>
	<form method="post" data-th-action="@{/persons/authoriseddoctors/filter}" data-th-object="${authorisedDoctorFilter}">
		<fieldset>
			<legend data-th-text="#{authoriseddoctors.filter}">Weiterbildungsbefugte filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='fullName', prefix='registrars.', fieldname='fullname')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{authoriseddoctors.overview}">Übersicht über Weiterbildungsbefugte</caption>
		<thead>
			<tr>
				<th colspan="3"></th>
				<th data-th-text="#{authoriseddoctors.name}">Name</th>
				<th data-th-text="#{authoriseddoctors.address}">Adresse</th>
				<th data-th-text="#{authoriseddoctors.birthdate}">Geburtsdatum</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<th:block data-th-each="authoriseddoctor: ${authorisedDoctors}">
				<tr>
					<td><a data-th-replace="fragments/snippets::edit('/persons/authoriseddoctors', ${authoriseddoctor.id})"></a></td>
					<td><a data-th-href="@{/persons/authoriseddoctors/{id}/authorisations/create(id=${authoriseddoctor.id})}"> <img data-th-src="@{/images/create-authorisation.png}" title="Weiterbildungsbefugnis erstellen" /></a></td>
					<td data-th-unless="${authoriseddoctor.authorisations.empty}" data-th-onclick="#{javascript.displayElement('authorisations-'+__${authoriseddoctor.id}__)}">B</td>
					<td data-th-if="${authoriseddoctor.authorisations.empty}"></td>
					<td data-th-text="${authoriseddoctor.fullAppellation}">Vorname Nachname</td>
					<td data-th-text="${authoriseddoctor.address.fullAddress}">Adresse</td>
					<td data-th-text="${#temporals.format(authoriseddoctor.birthDate, 'dd.MM.yyyy')}">Geburtsdatum</td>
					<td><a data-th-replace="fragments/snippets::archive('/persons/authoriseddoctors', ${authoriseddoctor.id})"></a></td>
				</tr>
				<th:block data-th-unless="${authoriseddoctor.authorisations.empty}">
					<tr data-th-id="'authorisations-'+__${authoriseddoctor.id}__" style="display: none;">
						<td colspan="7">
							<table class="datatable-level-2">
								<caption data-th-text="#{authoriseddoctors.authorisations}">Weiterbildungsbefugnisse</caption>
								<thead>
									<tr>
										<th />
										<th data-th-text="#{authorisations.trainingsite}">Weiterbildungsstätte</th>
										<th data-th-text="#{authorisations.valid}">Gültigkeit</th>
										<th data-th-text="#{authorisations.trainingscheme}">Weiterbildungsordnung</th>
										<th data-th-text="#{authorisations.maximalduration}">Maximale Weiterbildungsdauer</th>
									</tr>
								</thead>
								<tbody>
									<th:block data-th-each="authorisation: ${authoriseddoctor.authorisations}">
										<tr>
											<td><a data-th-href="@{/persons/authoriseddoctors/{authorisedDoctorId}/authorisations/{authorisationId}/trainingpositions/create(authorisedDoctorId=${authorisation.authorisedDoctor.id}, authorisationId=${authorisation.id})}"><img data-th-src="@{/images/create-trainingposition.png}" title="Weiterbildungsstelle erstellen" /></a></td>
											<td data-th-text="${authorisation.trainingSite.name}">Weiterbildungsstätte</td>
											<td><span data-th-text="${authorisation.validFrom}">gültig von</span> - <span data-th-text="${authorisation.validUntil}">gültig bis</span></td>
											<td data-th-text="${authorisation.trainingScheme.name}">Weiterbildungsordnung</td>
											<td data-th-text="${authorisation.maximalDuration}">Maximale Weiterbildungsdauer</td>
										</tr>
										<th:block data-th-unless="${authorisation.trainingPositions.empty}">
											<tr>
												<td colspan="5">
													<table class="datatable-level-3">
														<caption data-th-text="#{authorisations.trainingpositions}">Weiterbildungsstellen</caption>
														<thead>
															<tr>
																<th data-th-text="#{trainingpositions.available}">Verfügbar von/bis</th>
																<th data-th-text="#{trainingpositions.capacity}">Kapazität</th>
																<th data-th-text="#{trainingpositions.parttimeavailable}">Teilzeit möglich</th>
																<th data-th-text="#{trainingpositions.blockedslots}">Geblockte Zeiträume</th>
															</tr>
														</thead>
														<tbody>
															<tr data-th-each="trainingPosition: ${authorisation.trainingPositions}">
																<td><th:block data-th-if="${trainingPosition.availableUntil == null}">ab&nbsp;</th:block> <th:block data-th-text="${trainingPosition.availableFrom}" /> <th:block data-th-if="${trainingPosition.availableUntil != null}">&nbsp;-&nbsp;<th:block data-th-text="${trainingPosition.availableUntil}" />
																	</th:block></td>
																<td data-th-text="${trainingPosition.capacity}" />
																<td data-th-text="#{trainingpositions.parttimeavailable.__${trainingPosition.partTimeAvailable}__}">
																<td data-th-text="${trainingPosition.exclusions}" />
															</tr>
														</tbody>
													</table>
												</td>
											</tr>
										</th:block>
									</th:block>
								</tbody>
							</table>
						</td>
					</tr>
				</th:block>
			</th:block>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="7"><a data-th-href="@{/persons/authoriseddoctors/create}" data-th-text="#{authoriseddoctors.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>
</body>
</html>